# Microsoft.Samples.DirectX.UtilityToolkit.ManagedUtility Class Reference

Helper methods. More...

List of all members.

## Static Public Member Functions
static uint | GetColorChannelBits (Format format)
| Gets the number of ColorChanelBits from a format.
static uint | GetAlphaChannelBits (Format format)
| Gets the number of alpha channel bits.
static uint | GetDepthBits (DepthFormat format)
| Gets the number of depth bits.
static uint | GetStencilBits (DepthFormat format)
| Gets the number of stencil bits.
static uint | GetColorChannelBits (Format format)
| Gets the number of ColorChanelBits from a format.
static uint | GetAlphaChannelBits (Format format)
| Gets the number of alpha channel bits.
static uint | GetDepthBits (DepthFormat format)
| Gets the number of depth bits.
static uint | GetStencilBits (DepthFormat format)
| Gets the number of stencil bits.
static uint | GetColorChannelBits (Format format)
| Gets the number of ColorChanelBits from a format.
static uint | GetAlphaChannelBits (Format format)
| Gets the number of alpha channel bits.
static uint | GetDepthBits (DepthFormat format)
| Gets the number of depth bits.
static uint | GetStencilBits (DepthFormat format)
| Gets the number of stencil bits.

## Detailed Description

Helper methods.

Definition at line 754 of file dxmutenum.cs.

## Member Function Documentation

static uint Microsoft.Samples.DirectX.UtilityToolkit.ManagedUtility.GetAlphaChannelBits | ( | Format | format | ) | `[static]`

Gets the number of alpha channel bits.

Definition at line 781 of file wdxmutenum.cs.

static uint Microsoft.Samples.DirectX.UtilityToolkit.ManagedUtility.GetAlphaChannelBits | ( | Format | format | ) | `[static]`

Gets the number of alpha channel bits.

Definition at line 790 of file dxmutenum.cs.

static uint Microsoft.Samples.DirectX.UtilityToolkit.ManagedUtility.GetAlphaChannelBits | ( | Format | format | ) | `[static]`

Gets the number of alpha channel bits.

Definition at line 790 of file dxmutenum.cs.

static uint Microsoft.Samples.DirectX.UtilityToolkit.ManagedUtility.GetColorChannelBits | ( | Format | format | ) | `[static]`

Gets the number of ColorChanelBits from a format.

Definition at line 752 of file wdxmutenum.cs.

static uint Microsoft.Samples.DirectX.UtilityToolkit.ManagedUtility.GetColorChannelBits | ( | Format | format | ) | `[static]`

Gets the number of ColorChanelBits from a format.

Definition at line 761 of file dxmutenum.cs.

static uint Microsoft.Samples.DirectX.UtilityToolkit.ManagedUtility.GetColorChannelBits | ( | Format | format | ) | `[static]`

Gets the number of ColorChanelBits from a format.

Definition at line 761 of file dxmutenum.cs.

static uint Microsoft.Samples.DirectX.UtilityToolkit.ManagedUtility.GetDepthBits | ( | DepthFormat | format | ) | `[static]`

Gets the number of depth bits.

Definition at line 810 of file wdxmutenum.cs.

static uint Microsoft.Samples.DirectX.UtilityToolkit.ManagedUtility.GetDepthBits | ( | DepthFormat | format | ) | `[static]`

Gets the number of depth bits.

Definition at line 819 of file dxmutenum.cs.

static uint Microsoft.Samples.DirectX.UtilityToolkit.ManagedUtility.GetDepthBits | ( | DepthFormat | format | ) | `[static]`

Gets the number of depth bits.

Definition at line 819 of file dxmutenum.cs.

static uint Microsoft.Samples.DirectX.UtilityToolkit.ManagedUtility.GetStencilBits | ( | DepthFormat | format | ) | `[static]`

Gets the number of stencil bits.

Definition at line 838 of file wdxmutenum.cs.

static uint Microsoft.Samples.DirectX.UtilityToolkit.ManagedUtility.GetStencilBits | ( | DepthFormat | format | ) | `[static]`

Gets the number of stencil bits.

Definition at line 847 of file dxmutenum.cs.

static uint Microsoft.Samples.DirectX.UtilityToolkit.ManagedUtility.GetStencilBits | ( | DepthFormat | format | ) | `[static]`

Gets the number of stencil bits.

Definition at line 847 of file dxmutenum.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutenum.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutenum.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutenum.cs